Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000282Core InformUnderstandingpublic2010-09-07 11:272010-10-28 00:31
ReporterPDMargrave 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version5Z71 
Target VersionFixed in Version6F95 
Summary0000282: Trying to abort disambiguation in response to a command to someone, by using another command to someone fails.
DescriptionAborting disambiguation in response to a command to someone, by using another command to someone, causes the parser to treat the new command as a clarification instead of a totally new command. e.g.

>bob, give me the hat
Which do you mean, the small red hat or the large yellow hat?

>caitlin, give me the box
There is no reply.

If we display the players commands in the parser, we can see why, the new command is not detected as aborting the disambiguation as the parser only does so when the clarification starts with a verb.

>bob, give me the hat
<bob, give me the hat>
Which do you mean, the small red hat or the large yellow hat?

>caitlin, give me the box
<bob, give me the caitlin, give me the box hat>
There is no reply.

The parser needs to detect a new command to someone as also aborting the disambiguation.
Minimal Source Text To Reproduce
After reading a command:
say "<[player's command]> ".

The Lab is a room.
Bob is a man in the lab. Bob carries a small red hat. Bob wears a large red hat.
Caitlin is a woman in the lab. Caitlin carries a small yellow box.

test me with "bob, give me the hat/caitlin, give me the box"
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000524)
EmacsUser (manager)
2010-09-07 12:32

Confirmed, also in 6E72.
(0000666)
graham (administrator)
2010-10-03 16:09

Fixed.

- Issue History
Date Modified Username Field Change
2010-09-07 11:27 PDMargrave New Issue
2010-09-07 12:21 jmcgrew Status new => acknowledged
2010-09-07 12:32 EmacsUser Note Added: 0000524
2010-09-07 12:33 EmacsUser Status acknowledged => confirmed
2010-09-07 12:59 Ron Newcomb Issue Monitored: Ron Newcomb
2010-10-03 16:09 graham Note Added: 0000666
2010-10-03 16:09 graham Status confirmed => resolved
2010-10-03 16:09 graham Resolution open => fixed
2010-10-03 16:09 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:31 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker